#!/bin/bash

echo "##### build/run.sh"

set -x

TD="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd)"

cd "$TD"

apt install -y $(cat packages.txt)

SSH_HOST_KEY_FILES="
    ssh_host_ecdsa_key
    ssh_host_ecdsa_key.pub
    ssh_host_ed25519_key
    ssh_host_ed25519_key.pub
    ssh_host_rsa_key
    ssh_host_rsa_key.pub
"

for FN in $SSH_HOST_KEY_FILES ; do
    ln -s /hostroot/etc/ssh/$FN /etc/ssh/$FN
done

ln -s /hostroot/root /root/.home

# install other stuff here

pip3 install -U pip
pip3 install black
# install python packages
# install yarn
# install prettier
# install vim-go

sudo -u $USERNAME_TO_ADD bash ./runuser.sh
