#!/bin/bash

set -x

env

TD="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd)"

U="$USERNAME_TO_ADD"

# original home
OH="/hosthome"

# container home
export HOME="/home/$U"

rsync -avP /home/template/ $HOME/

# link ~/.home to original home
ln -s "/hosthome" $HOME/.home

# oh-my-zsh
curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh > /tmp/installomz.sh
export ZSH="$HOME/.zsh"
bash /tmp/installomz.sh --unattended --keep-zshrc

# link in ssh key from original home
ln -s ~/.home/.ssh/id_rsa ~/.ssh/id_rsa
ln -s ~/.home/.ssh/id_rsa.pub ~/.ssh/id_rsa.pub

# move this to runtime FIXME
#DEVDIR="$( cd ~/.home/dev >/dev/null 2>&1 && pwd -P)"
